Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2011-4127

Overview

Vulnerability Score 4.6 4.6
CVE Id CVE-2011-4127
Last Modified 03 Sep 2015 10:21:34
Published 03 Jul 2012 12:40:31
Confidentiality Impact PARTIAL PARTIAL
Integrity Impact PARTIAL PARTIAL
Availability Impact PARTIAL PARTIAL
Access Vector LOCAL
Access Complexity LOW
Authentication NONE

CVE-2011-4127

Summary

The Linux kernel before 3.2.2 does not properly restrict SG_IO ioctl calls, which allows local users to bypass intended restrictions on disk read and write operations by sending a SCSI command to (1) a partition block device or (2) an LVM volume.

Vulnerable Systems

Operating System

  • Linux Kernel 3.0

  • Linux Kernel 3.0.1

  • Linux Kernel 3.0.10

  • Linux Kernel 3.0.11

  • Linux Kernel 3.0.12

  • Linux Kernel 3.0.13

  • Linux Kernel 3.0.14

  • Linux Kernel 3.0.15

  • Linux Kernel 3.0.16

  • Linux Kernel 3.0.17

  • Linux Kernel 3.0.18

  • Linux Kernel 3.0.19

  • Linux Kernel 3.0.2

  • Linux Kernel 3.0.20

  • Linux Kernel 3.0.21

  • Linux Kernel 3.0.22

  • Linux Kernel 3.0.23

  • Linux Kernel 3.0.24

  • Linux Kernel 3.0.25

  • Linux Kernel 3.0.26

  • Linux Kernel 3.0.27

  • Linux Kernel 3.0.28

  • Linux Kernel 3.0.29

  • Linux Kernel 3.0.3

  • Linux Kernel 3.0.30

  • Linux Kernel 3.0.31

  • Linux Kernel 3.0.32

  • Linux Kernel 3.0.33

  • Linux Kernel 3.0.34

  • Linux Kernel 3.0.4

  • Linux Kernel 3.0.5

  • Linux Kernel 3.0.6

  • Linux Kernel 3.0.7

  • Linux Kernel 3.0.8

  • Linux Kernel 3.0.9

  • Linux Kernel 3.1

  • Linux Kernel 3.1.1

  • Linux Kernel 3.1.10

  • Linux Kernel 3.1.2

  • Linux Kernel 3.1.3

  • Linux Kernel 3.1.4

  • Linux Kernel 3.1.5

  • Linux Kernel 3.1.6

  • Linux Kernel 3.1.7

  • Linux Kernel 3.1.8

  • Linux Kernel 3.1.9

  • Linux Kernel 3.2

  • Linux Kernel 3.2.1

  • Suse Linux Enterprise Server 10


References

CONFIRM - https://github.com/torvalds/linux/commit/ec8013beddd717d1740cfefb1a9b900deef85462

CONFIRM - https://github.com/torvalds/linux/commit/0bfc96cb77224736dfa35c3c555d37b3646ef35e

CONFIRM - https://bugzilla.redhat.com/show_bug.cgi?id=752375

MLIST - [oss-security] 20111222 CVE-2011-4127 kernel: possible privilege escalation via SG_IO ioctl

CONFIRM - http://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.2.2

CONFIRM - http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=ec8013beddd717d1740cfefb1a9b900deef85462

CONFIRM - http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=0bfc96cb77224736dfa35c3c555d37b3646ef35e

SECUNIA - 48898

SUSE - SUSE-SU-2015:0812

Related Patches

Red Hat 2012:0107-01 RHSA Important: kernel security and bug fix update for RHEL 5 x86

Red Hat 2012:0107-01 RHSA Important: kernel security and bug fix update for RHEL 5 x86_64

Novell SUSE 2012:5723 kernel security update for SLE 11 SP1 i586

Novell SUSE 2012:5732 kernel security update for SLE 11 SP1 x86_64

Novell SUSE 2012:6164 kernel security update for SLE 11 SP2 x86_64

Novell SUSE 2012:6172 kernel security update for SLE 11 SP2 i586


Last Updated: 27 May 2016 10:54:50